export = validateTempEmailCode;
/**
 * Verify the temp email code sent to the user's email address
 * ==============================================================================
 * @async
 *
 * @param {object} params - Single Param object containing params
 * @param {http.IncomingMessage & Object<string, any>} [params.request]
 * @param {string} [params.cookieString]
 * @param {string} [params.email]
 *
 * @returns { Promise<import("../package-shared/types").SendOneTimeCodeEmailResponse | null>}
 */
declare function validateTempEmailCode({ request, email, cookieString }: {
    request?: http.IncomingMessage & {
        [x: string]: any;
    };
    cookieString?: string;
    email?: string;
}): Promise<import("../package-shared/types").SendOneTimeCodeEmailResponse | null>;
import http = require("http");
